List folders
GET
/folder
const url = 'https://api.colourbox.com/folder?sort_by=name&sort_order=asc';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.colourbox.com/folder?sort_by=name&sort_order=asc' \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Get all folders for the authenticated identity.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
string
Query string matching against the folder name
id
string
Limit the list to the folder that has the given ID. Multiple IDs can be given seperated by “+”
parent
integer
Limit the list to folders with the parent ID specified
company_id
integer
Limit the list to folders owned by the company. Default behaviour
exclude_per_user_system_folders
integer
Exclude user-specific system folders. Currently this only excludes a user’s own trashcan (all other system folders are company-specific)
sort_by
string
Specifies which field you would like to sort by
sort_order
string
Specifies which field you would like to sort by
Responses
Section titled “Responses”List of folders
Media typeapplication/json
Array<object>
object
created
string
company_id
integer
parent
Parent folder ID, null for a top-level folder
integer
name
string
id
integer
permissions
object
groups
Array<string>
Example
[ { "created": "2013-01-06 13:37:18", "company_id": 147903, "name": "My first folder", "id": 155111, "permissions": { "groups": [ "READ" ] } }]